[SCM] Debian packaging of wesnoth branch, experimental, updated. 52393ded7cb0123699a9a0cff897b134eae84725
Gerfried Fuchs
rhonda at debian.at
Thu Mar 18 19:10:29 UTC 2010
The following commit has been merged in the experimental branch:
commit 612c86a16b74b039c03b562e85b3583c1c6c6436
Author: Gerfried Fuchs <rhonda at debian.at>
Date: Sun Feb 28 21:40:00 2010 +0100
branchcheck creates all the versioned files
diff --git a/debian/branchcheck b/debian/branchcheck
new file mode 100644
index 0000000..3258b61
--- /dev/null
+++ b/debian/branchcheck
@@ -0,0 +1,15 @@
+#!/bin/sh
+# Copyright (C) 2009-2010 Gerfried Fuchs <rhonda at debian.at>
+# Licenced under BSD style
+
+set -ex
+
+BRANCH=$(dpkg-parsechangelog | grep "^Version:" | cut -d" " -f2 | cut -d. -f1,2 | cut -d: -f2 | cut -d- -f1 | sed -e 's/[a-z].*//')
+
+if head -1 debian/control | grep -v "^Source: wesnoth-$BRANCH" >/dev/null ; then \
+ for i in debian/*.in; do
+ new=$(basename $i .in | sed -e s/BRANCH/$BRANCH/)
+ cp $i debian/$new
+ sed -i -e s/BRANCH/$BRANCH/g debian/$new
+ done
+fi
diff --git a/debian/changelog b/debian/changelog
index 26e1b50..1faccbf 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,3 +1,10 @@
+wesnoth (1:1.7.13-2) experimental; urgency=low
+
+ * Script debian/branchcheck written to create all the versioned files
+ automatically, from .in files.
+
+ -- Gerfried Fuchs <rhonda at debian.at> Sun, 28 Feb 2010 21:31:09 +0100
+
wesnoth (1:1.7.13-1) experimental; urgency=low
* New upstream beta release, fixes:
--
Debian packaging of wesnoth
More information about the Pkg-games-commits
mailing list